> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/v3/apiv2/get-address-information",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get Address Information

> Get smart contract information.



## OpenAPI

````yaml get /api/v3/addressInformation
openapi: 3.0.0
info:
  title: TON Index (Go)
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  version: 1.2.4-rc
  contact: {}
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com
security: []
paths:
  /api/v3/addressInformation:
    get:
      tags:
        - Api/v2
      summary: Get Address Information
      description: Get smart contract information.
      operationId: api_v3_get_v2_addressInformation
      parameters:
        - name: address
          in: query
          description: Account address in any form.
          required: true
          schema:
            type: string
        - name: use_v2
          in: query
          description: Use method from api/v2. Not recommended
          schema:
            type: boolean
            default: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2AddressInformation'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    V2AddressInformation:
      type: object
      properties:
        balance:
          type: string
        code:
          type: string
        data:
          type: string
        frozen_hash:
          type: string
        last_transaction_hash:
          type: string
        last_transaction_lt:
          type: string
        status:
          type: string
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string

````